Laurent Dami > DBIx-DataModel > DBIx::DataModel::Compatibility::V1

Download:
DBIx-DataModel-2.44.tar.gz

Dependencies

Annotate this POD

CPAN RT

Open  0
View/Report Bugs
Source  

NAME ^

DBIx::DataModel::Compatibility::V1 - compatibility with previous versions 1.*

SYNOPSIS ^

Do not use this package directly; use indirectly through

  use DBIx::DataModel -compatibility => 1.0;

DESCRIPTION ^

Version 2 of DBIx::DataModel was a major refactoring from versions 1.*, with a number of incompatible changes in the API (classes renamed, arguments renamed or reorganized, etc..).

The present package injects a compatibility layer between your application and DBIx::DataModel : that layer intercepts the calls and modifies the arguments and/or return values so that the API is compatible with prior versions 1.*.

For versions prior to 2.20, this compatibility layer was automatically activated, in order to automatically preserve backwards compatibility. Now the compatibility layer is deprecated; however it can still be loaded on demand, as shown above in the synopsis.

SEE ALSO ^

DBIx::DataModel

syntax highlighting: